%global pypi_name txaio

Name:           python-%{pypi_name}
Version:        23.1.1
Release:    1%{?dist}
Summary:        Compatibility API between asyncio/Twisted/Trollius

License:        MIT
URL:            https://txaio.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/t/txaio/txaio-%{version}.tar.gz
Patch2:         run_once.patch
BuildArch:      noarch

%description
Helper library for writing code that runs unmodified on both Twisted and
asyncio.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-six
BuildRequires:  python3-test
BuildRequires:  python3-enchant >= 1.6.6
Requires:       python3-six
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Helper library for writing code that runs unmodified on both Twisted and
asyncio.

%package doc
Summary:        Documentation for txaio

BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
Requires:       js-jquery

%description doc
Helper library for writing code that runs unmodified on both Twisted and
asyncio. Documentation in html format.

%prep
%setup -qn %{pypi_name}-%{version}
%patch2 -p1
rm -rf %{pypi_name}.egg-info
rm docs/index.rst
cp -a README.rst docs/index.rst

%build
%py3_build
cd docs && make html
rm -rf _build/html/.buildinfo
rm -f  _build/html/_static/jquery.js
ln -s /usr/share/javascript/jquery/latest/jquery.min.js _build/html/_static/jquery.js

%install
%py3_install

%check
%pytest -v test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/

%files doc
%license LICENSE
%doc docs/_build/html

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.1.1-1
- initial build
